Skip to main content
POST
Approve action

Get your Darwin API key here

Create a key in Developer settings.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

actionId
string
required

The Action identifier returned by Start action or List actions.

Required string length: 1 - 200

Body

application/json

Apply an exact reviewed approval decision with stale-preview protection.

approvalId
string
required
Required string length: 1 - 200
decision
enum<string>
required
Available options:
approve,
reject,
request_changes
expectedRevision
string<date-time>
required
reviewedPayloadDigest
string
required
Pattern: ^sha256:[a-f0-9]{64}$
requestId
string
required
Required string length: 1 - 160
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9._:-]*$
reason
string
Required string length: 1 - 2000

Response

The current truthful state of the action.

type
enum<string>
required
Available options:
start,
status,
update,
approve,
stop
Allowed value: "approve"
actionId
string
required
status
enum<string>
required
Available options:
completed,
running,
awaiting_user,
approval_required,
connection_required,
payment_required,
insufficient_authority,
provider_unavailable,
stopped
result
object
required
actionRequired
string | null
required
availableActions
enum<string>[]
required
Available options:
status,
update,
approve,
stop
interaction
Connection · object